- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::LineStipple Class Reference

Inheritance diagram for osg::LineStipple:

[legend]
List of all members.

## Public Member Functions
| LineStipple ()
| LineStipple (const LineStipple &lw, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, LineStipple, LINESTIPPLE)
virtual int | compare (const StateAttribute &sa) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual bool | getModeUsage (ModeUsage &usage) const
void | setFactor (GLint factor)
GLint | getFactor () const
void | setPattern (GLushort pattern)
GLushort | getPattern () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.
## Protected Member Functions
virtual | ~LineStipple ()
## Protected Attributes
GLint | _factor
GLushort | _pattern

## Constructor & Destructor Documentation

LineStipple::LineStipple | ( |  | ) |

osg::LineStipple::LineStipple | ( | const LineStipple & | lw,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

LineStipple::~LineStipple | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void LineStipple::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::LineStipple::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

GLint osg::LineStipple::getFactor | ( |  | ) | const`[inline]`

virtual bool osg::LineStipple::getModeUsage | ( | ModeUsage & | usage | ) | const`[inline, virtual]`

GLushort osg::LineStipple::getPattern | ( |  | ) | const`[inline]`

osg::LineStipple::META_StateAttribute | ( | osg | ,
|  | LineStipple | ,
|  | LINESTIPPLE |
| ) |

void LineStipple::setFactor | ( | GLint | factor | ) |

void LineStipple::setPattern | ( | GLushort | pattern | ) |

## Member Data Documentation

GLint osg::LineStipple::_factor`[protected]`

GLushort osg::LineStipple::_pattern`[protected]`

The documentation for this class was generated from the following files:

- LineStipple
- LineStipple.cpp